Installing
Installing hamilton is easy!

Requirements

Hamilton is a lightweight framework with a variety of extensions/plugins. To get started, you'll need the following:
  • python >= 3.6
  • pip
For help with python/pip/managing virtual environments see the python docs.

Installing

Hamilton is published on pypi under sf-hamilton. To install, run:
pip install sf-hamilton
To use the DAG visualization functionality, instead install with
pip install sf-hamilton[visualization]
Note: for visualization you may additionally need to install `graphviz` externally -- see https://graphviz.org/download/ for instructions on the correct way for your operating system.
Copy link